2023-02-03 21:27 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005660Scoopex_2Unlimited[All Projects] Generalpublic2022-05-29 11:13
ReporterSuperman 
Assigned ToStingRayProject Info2 Unlimited (Scoopex)
http://www.whdload.de/demos/Scoopex_2Unlimited.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0005660: The demo loads ok initially and lets you click the mouse button. Once you get
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: version 1.1 (26.05.2022)

The demo loads ok initially and lets you click the mouse button. Once you get to the menu you have to press f1, f2 or f3 to load a tune. As soon as you press one of the buttons it crashes with "Bad stack pointer on entering WHdload via Exception "Level 3 Autovector (copper/vblank/blitter)($6c) at $9F28AE (Resload $1B7E) occurred.
Just to note that it works perfectly fine on my A1200 with TF1230 but obviously not on my A600 with Furia.
TagsNo tags attached.
MachineA600
CPU68EC020
CPUSpeed33
ChipSetECS
GFXCardNone
ChipMem2 MB
FastMem11 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.8beta
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0011338

StingRay (developer)

Please try the attached slave, does the problem still occur?

note ~0011344

Superman (reporter)

Yes the problem is still there with that new slave also

note ~0011346

StingRay (developer)

Thanks for testing, I have attached 2 more slaves, can you try these too please? StackReloc_Chip.slave relocates the USP to (very) low chip memory, StackReloc_Fast.slave uses 4k extra memory for stack space.

note ~0011347

Superman (reporter)

Both of those still crash with the error.

note ~0011349

StingRay (developer)

Ok, one more slave for testing, it disables the interrupts when loading a tune (so the scroller and timer will not be updated), does this still crash with the same error?

note ~0011350

Superman (reporter)

No crashes this time. Its just as you say pauses the scroller and finally loads the tune after a 20 second or so delay and scroller then resumes.

note ~0011355

StingRay (developer)

Ok, that's one step further then. I'll check the interrupt code and see if I can come up with a workaround for the crash.

note ~0011358

StingRay (developer)

I have attached a new slave ("NoLevel3Interrupt.slave") which only disables the level 3 interrupt when loading data from disk. Does this work on your system?

note ~0011362

Superman (reporter)

Yes that one seems to work ok wit hall scrollers and timers ticking fine.

note ~0011363

StingRay (developer)

Thanks for testing, updated patch has been released.
+Notes

-Issue History
Date Modified Username Field Change
2022-05-27 20:06 administrator New Issue
2022-05-27 20:06 administrator Status new => assigned
2022-05-27 20:06 administrator Assigned To => StingRay
2022-05-27 20:29 StingRay File Added: ScoopexPlays2Unlimited.slave
2022-05-27 20:30 StingRay Note Added: 0011338
2022-05-28 00:20 Superman Note Added: 0011344
2022-05-28 10:04 StingRay Note Added: 0011346
2022-05-28 10:05 StingRay File Added: StackReloc_Chip.slave
2022-05-28 10:05 StingRay File Added: StackReloc_Fast.slave
2022-05-28 19:35 Superman Note Added: 0011347
2022-05-28 20:29 StingRay Note Added: 0011349
2022-05-28 20:29 StingRay File Added: NoInterrupts.slave
2022-05-28 22:41 Superman Note Added: 0011350
2022-05-28 23:57 StingRay Note Added: 0011355
2022-05-29 08:15 StingRay File Added: NoLevel3Interrupt.slave
2022-05-29 08:16 StingRay Note Added: 0011358
2022-05-29 10:48 Superman Note Added: 0011362
2022-05-29 11:13 StingRay Status assigned => resolved
2022-05-29 11:13 StingRay Resolution open => fixed
2022-05-29 11:13 StingRay Note Added: 0011363
+Issue History